## at-spi2-core 2.28.0

=== meson_options.txt ===
option('dbus_services_dir',
       description: 'Location of the DBus services',
       type: 'string',
       value: 'default')
option('dbus_daemon',
       description: 'The path of the DBus daemon',
       type: 'string',
       value: 'default')
option('systemd_user_dir',
       description: 'Location of the systemd user services',
       type: 'string',
       value: 'default')
option('enable_docs',
       description: 'Generate API reference for atspi (requires GTK-Doc)',
       type: 'boolean',
       value: false)

option('enable-introspection', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable GObject Introspection (depends on GObject)')

option('enable-x11', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable X11 support')

## at-spi2-core 2.0.0

=== debian/changelog ===
at-spi2-core (2.0.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix for BGO#646403: Use correct signature in at-spi2-registryd for
      EndSessionResponse.
    - Remove a Makefile reference to dbus-glib.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 06 Apr 2011 13:34:39 +1000

at-spi2-core (1.91.93-0ubuntu1) natty; urgency=low

  * New upstream release
    - Removed dbus-glib-related includes, as they are no longer required.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Mar 2011 16:24:10 +1100

at-spi2-core (1.91.92-0ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Mar 2011 15:32:42 -0700

at-spi2-core (1.91.92-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed atspi_table_get_column_header and atspi_value_set_current_value.
    * Removed dbus-glib dependency; libatspi now includes a copy of
      dbus-gmain.c modified to fix a crash (FDO#35115).  Session management
      code has been ported to gdbus.
    - Fixed a crash when deregistering a keystroke listener.
    - Reworked accessibility bus management (BGO#644851).
    - Fixed a possible sign issue with state sets.
  * debian/control: Remove libdbus-1-dev build dependency as per above
  * debian/patches/0001-Fix-missing-NULL-argument-to-g_strconcat.patch:
    - Dropped, applied upstream
  * debian/patches/0001-gnome2.patch: Refreshed
  * debian/at-spi2-core.install: Files are no longer shipped in usr/bin
  * debian/libatspi2.0-dev.install: Ship pkg-config file
  * debian/rules: Remove --enable-relocate configure argument, it has done
    nothing for a couple of releases now
  * debian/libatspi2.0-0.shlibs: Bumped version

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 24 Mar 2011 15:42:34 +1100

at-spi2-core (1.91.91-0ubuntu2) natty; urgency=low

  * debian/patches/0002-gnome2.patch: Patch from the upstrea maintainer, Mike
    Gorse to make at-spi2 core work better with GNOME 2 components

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 14 Mar 2011 14:51:19 +1100

at-spi2-core (1.91.91-0ubuntu1) natty; urgency=low

  * New upstream release
    - Changed device event IPC to use uint32 for hw_code and modifiers, to be
      more consistent with the rest of the API.
    - GetNSelections has an out parameter, not an in.
    - Fix for BGO#643384: - atspi_register_keystroke_listener() should take a
      bitmask, not AtspiKeyListenerSyncType.
    - Avoid setting enum values to 0x80000000, to prevent a pygi exception.
    - Fix for BGO#643454: Kill the accessibility bus daemon with the GNOME
      session
    - Fix for BGO#643110: Do not allow all users to connect to the
      accessibility bus.
  * debian/patches/0001-Fix-missing-NULL-argument-to-g_strconcat.patch:
    - Patch from upstream git to fix a missing NULL argument to g_strconcat

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 10 Mar 2011 11:41:57 +1100

at-spi2-core (1.91.90-0ubuntu1) natty; urgency=low

  * New upstream release
    - BGO#641164: Fixed several build errors.
    - Fixed some memory leaks and possible crashes.
    - Fixed atspi_selection_get_selected_child and
      atspi_selection_get_n_selected_children.
    - Fixed wrong introspection information in some places.
    - BGO#641869: Removed the --enable-relocate option.
    - Avoid returning uninitialized data on error for some methods.
    - Use the GSettings rather than GConf key to test that accessibility is
      enabled.
    - Change some enums from 16-bit to 32-bit to match spec.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 22 Feb 2011 18:30:38 +1100

at-spi2-core (1.91.6.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed a crash introduced in 1.91.6.
    - atspi_accessible_get_interfaces will now explicitly return the Accessible
      interface.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 02 Feb 2011 08:39:35 +1100

at-spi2-core (1.91.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Some build fixes.
    - Several updated translations.
    - Added a method to check whether an object implements the Hyperlink
      interface.
    - Fixed a crash in atspi_image_get_image_description.
    - Fixed atspi_editable_text_set_text_contents.
    - More error-handling fixes.
    - Fixed a crash in atspi_event_listener_register_from-callback.
    - Method calls now time out after 1 second.
    - Added setters for component extents/size/position.
    - Added atspi-accessible_set_cache_mask.
  * debian/patches/01_add-to-potfiles-in.patch: Dropped, applied upstream
  * debian/rules: Remove custom code to install headers, the upstream build
    does this now

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 01 Feb 2011 13:57:39 +1100

at-spi2-core (1.91.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed several memory leaks.
    - Fixed some text methods, methods that return points or rectangles,
      image locale and description, atspi-accessible_get_description, and some
      table methods.
    - Added a trailing colon for focus events.
    - Set the error parameter for dbus errors rather than displaying a warning.
    - Fixed the keystroke listener deregister method.
    - The cache is now updated before raising an event, not after, so that event
      handlers that query for cached values will see the updated data.
    - The registry daemon now returns an error when a caller requests a property
      that the desktop does not support.
    - Added disposal of objects, and fixed several associated bugs.
    - Added i18n.
    - Fixed mouse events.
    - Libatspi's documentation is now compiled with gtk-doc.
    - Fixed building from a separate build directory.
    - use peer-to-peer connections when available.
    - Fix uninitialized variable in get_index_in_parent.
    - Add timeout, and support inspecting our own app.
    - Add get_interfaces, and fetch interface and state set over the wire if
      needed.


=== debian/control ===
Source: at-spi2-core
Section: misc
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7.0.50),
               libdbus-glib-1-dev, dbus,
               libglib2.0-dev,
               libxtst-dev,
               libgirepository1.0-dev,
               gtk-doc-tools (>= 1.09),
               gobject-introspection,
               gir1.2-glib-2.0
Standards-Version: 3.9.1

Package: at-spi2-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Assistive Technology Service Provider Interface (dbus core)
 This package contains the core components of GNOME Accessibility.

Package: libatspi2.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Assistive Technology Service Provider Interface - shared library
 This package contains the shared library for applications that wish to use
 the at-spi interface.

Package: libatspi2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libatspi2.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.4.1-2),
         libdbus-1-dev, libdbus-glib-1-dev, dbus,
         libglib2.0-dev,
         libxtst-dev
Replaces: gir-repository-dev
Description: Development files for the assistive technology serice provider
 These are the development files for at-spi2, needed for compilation of
 programs which use it.

Package: gir1.2-atspi-2.0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Replaces: gir1.0-gtk-2.0 (<< 2.22),
          gobject-introspection-repository
Description: Assistive Technology Service Provider (GObject introspection)
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings

## at-spi2-core 2.0.2

=== debian/changelog ===
at-spi2-core (2.0.2-2) unstable; urgency=low

  * debian/control: Put libatspi2.0-0 and gir1.2-atspi-2.0 in section libs.
  * Add NEWS to debian/at-spi2-core.docs.
  * Install atspi-2.pc.

 -- Mario Lang <mlang@debian.org>  Sun, 24 Jul 2011 16:42:43 +0200

at-spi2-core (2.0.2-1) unstable; urgency=low

  [ Mario Lang ]
  * Initial Debian package. (Closes: Bug#540332)

  [ Luke Yelavich ]
  * New upstream releases.

  [ Samuel Thibault ]
  * Add myself as uploader.

  [ Mario Lang ]
  * Make debian/copyright follow DEP5.

 -- Mario Lang <mlang@debian.org>  Sat, 28 May 2011 17:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
@@ -15,7 +14,7 @@
                gtk-doc-tools (>= 1.09),
                gobject-introspection,
                gir1.2-glib-2.0
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: at-spi2-core
 Architecture: any
@@ -24,6 +23,7 @@
  This package contains the core components of GNOME Accessibility.
 
 Package: libatspi2.0-0
+Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Assistive Technology Service Provider Interface - shared library
@@ -45,6 +45,7 @@
  programs which use it.
 
 Package: gir1.2-atspi-2.0
+Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.2.0

=== debian/changelog ===
at-spi2-core (2.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Updated translations

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 27 Sep 2011 13:11:31 +1000

at-spi2-core (2.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixed a crash when handling event listeners.
    - Fix for BGO#659088: Correctly define ATSPI_MODIFIER_NUMLOCK.
    - Add some defensive checks to prevent problems with defunct objects.
    - BGO#657051: Fix a build error on Solaris.
    - Fix some missing return statements.
    - Some fixes related to deregistering event listeners.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 23 Sep 2011 11:42:54 +1000

at-spi2-core (2.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixed a crash when deregistering event listeners.
    - Made DBus IsEnabled property readwrite.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 06 Sep 2011 10:00:49 +1000

at-spi2-core (2.1.90-0ubuntu3) oneiric; urgency=low

  * Fix typo which saw the needed file for the last upload get placed in the
    wrong location

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 05 Sep 2011 16:04:46 +1000

at-spi2-core (2.1.90-0ubuntu2) oneiric; urgency=low

  * Set the QT_ACCESSIBILITY environment variable if the toolkit-accessibility
    gsettings key is enabled

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 05 Sep 2011 15:19:26 +1000

at-spi2-core (2.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixed a memory leak on DBus errors.
    - Added org.a11y.Status.IsEnabled (currently a read-only property) to the
      bus launcher.
    - Fix for BGO#656004: atspi_accessible_get_relation_set returns a GArray
      again.
    - Numerous documentation fixes from Aline Bessa.
    - CLean up device listeners from disconnected applications.
    - Fix for BGO#657585: Do not crash when the bus launcher is unable to open
      the X display. (LP: #829370)
  * Update symbols

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 02 Sep 2011 07:43:00 +1000

at-spi2-core (2.1.5-0ubuntu3) oneiric; urgency=low

  * debian/control: libatspi2.0-0 should not conflict with libatspi1.0-0
    (LP: #836798)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 30 Aug 2011 09:17:11 +1000

at-spi2-core (2.1.5-0ubuntu2) oneiric; urgency=low

  * debian/control: Drop at-spi2-core conflicts to at-spi. This was meant for
    cleaning up the old package, but confuses apt on upgrade to rather hold
    back the old one than upgrading to the new one. (LP: #828759)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2011 09:45:49 +0200

at-spi2-core (2.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Propertly free DBus error in atspi_accessible_get_process_id.
    - Clean up names of some private functions.
    - Move DBus interface name constants into atspi-constants.h and make public.
    - Remove support for relocated CORBA.
    - Fix for BGO#655127: Avoid Python crash for
      atspi_accessible_get_relation_set.
  * Update symbol files

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Aug 2011 11:32:02 +1000

at-spi2-core (2.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Some API changes to device and event listeners for compatibility with
      Javascript.
    - Fix for BGO#654314: make role names consistent with atk.
    - FIx for BGO#654921: Run within Unity.
    - Added some new roles.
  * debian/patches/onlyshowin_unity.patch: Drop, applied upstream
  * debian/libatspi2.0-0.symbols: Updated

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 26 Jul 2011 10:26:47 +1000

at-spi2-core (2.1.3-0ubuntu2) oneiric; urgency=low

  [ Mario Lang ]
  * Install atspi-2.pc.

  [ Luke Yelavich ]
  * debian/control: Add more conflicts/replaces to make sure the entirity of
    the at-spi v1 stack is removed on upgrade (LP: #798074, #810721)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 25 Jul 2011 10:09:18 +1000

at-spi2-core (2.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - use stored values for AT-SPI role names where possible.
    - Fix for BGO#652596: Use DBus property to set value.
    - Fix gtk-doc build cflags/libraries.
    - Set error for some DBus errors where this was not being done.
    - Add atspi_accessible_get_process_id (as a short-cut to help debugging).
    - Fix failure to update cache in response to children-changed events in
      some cases.
  * Update symbols file

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Jul 2011 09:35:03 +1000

at-spi2-core (2.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix atspi_table_get_caption|summary.
    - Fix introspection for atspi_table_get_row_column_at_index.
    - Copy match rule attributes, rather than just ref counting the hash, for
      compatibility with pygi.
    - Rework atspi_accessible_set_cache_mask to make it usable.
    - Fix a crash that might happen if a method call times out.
    - Disable caching if atspi_event_main has not been called to run the main
      loop.
    - Fix atspi_accessible_get_toolkit_version.
    - Add atspi_accessible_get_atspi_version to fetch the version of the AT-SPI
      specification provided by an application.
    - Cache application-wide toolkit name and version.
    - Allow caching of attributes, but not enabling by default, as there is no
      event yet (BGO#649771).
    - Make deferred_messages a GQueue rather than a GList for performance
      reasons.
    - Fix accessibility bus breakage when a user runs an administrative app.
  * Set ubuntu tag format in gbp.conf

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Jun 2011 13:30:36 +1000

at-spi2-core (2.1.1-0ubuntu3) oneiric; urgency=low

  * debian/control: Fix doubled up maintainer address
  * Create symbols file for libatspi2.0-0
  * Add documentation in new at-spi2-doc package
  * Add changelog entry from debian now that at-spi2-core is in unstable

  [ Mario Lang ]
  * Make debian/copyright follow DEP5.



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Luke Yelavich <themuso@ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
@@ -23,7 +24,6 @@
  This package contains the core components of GNOME Accessibility.
 
 Package: libatspi2.0-0
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Assistive Technology Service Provider Interface - shared library
@@ -45,7 +45,6 @@
  programs which use it.
 
 Package: gir1.2-atspi-2.0
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -55,3 +54,9 @@
 Description: Assistive Technology Service Provider (GObject introspection)
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings
+
+Package: at-spi2-doc
+Architecture: all
+Recommends: devhelp
+Description: Assistive Technology Service Provider Interface (Documentation)
+ This package contains documentation for the at-spi2 interface.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-core/([\d.])*/at-spi2-core-([\d.]*).tar.gz

## at-spi2-core 2.2.2

=== debian/changelog ===
at-spi2-core (2.2.2-0ubuntu1.2) oneiric-proposed; urgency=low

  * Actually remove 90qt-a11y if it is already installed.

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Tue, 24 Jan 2012 12:34:05 +0100

at-spi2-core (2.2.2-0ubuntu1.1) oneiric-proposed; urgency=low

  * Remove 90qt-a11y: Qt accessibility is not stable enough in Oneiric to be
    enabled by default for all applications. A patch for unity-2d specifically
    enables accessibility for it so that the desktop remains accessible.
    (LP: #877358)

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Thu, 24 Nov 2011 11:41:28 +0100

at-spi2-core (2.2.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #890491)
    - Fix for BGO#663992: set STATE_FOCUSED for a "focus" event
    - Fix return type of org.a11y.Bus.IsEnabled property
    - Declare void functions as such

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 15 Nov 2011 11:37:38 +1100

at-spi2-core (2.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #877836)
    - Fix org.a11y.Bus.Enabled property to set its initial state from the
      GSettings key, if available and an initial property is not given on the
      command line.
    - Fix for BGO#660947: Gracefully exit when already running, rather than
      triggering a SIGABRT. (LP: #868010)
    - Updated translations

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 Oct 2011 12:16:08 +1100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 Package: at-spi2-core
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.

## at-spi2-core 2.3.90

=== debian/changelog ===
at-spi2-core (2.3.90-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * Build for multi-arch
  * Set the QT_ACCESSIBILITY environment variable if the toolkit-accessibility
    gsettings key is enabled
  * Add documentation in new at-spi2-doc package

  [ Mario Lang ]
  * debian/control: Put libatspi2.0-0 and gir1.2-atspi-2.0 in section libs.
  * Add NEWS to debian/at-spi2-core.docs.
  * Install atspi-2.pc.

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Jason White ]
  * Add at-spi2-core-dbg and libatspi2.0-0-dbg packages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 15:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Luke Yelavich <themuso@ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
@@ -14,18 +13,31 @@
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection,
-               gir1.2-glib-2.0
-Standards-Version: 3.9.2
+               gir1.2-glib-2.0,
+               hardening-wrapper
+Standards-Version: 3.9.3
 
 Package: at-spi2-core
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2)
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.
 
+Package: at-spi2-core-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-core (= ${binary:Version})
+Description: Assistive Technology Service Provider Interface - debugging symbols
+ This package contains the debugging symboles for core components of GNOME
+ Accessibility.
+
 Package: libatspi2.0-0
+Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Assistive Technology Service Provider Interface - shared library
  This package contains the shared library for applications that wish to use
@@ -34,6 +46,7 @@
 Package: libatspi2.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libatspi2.0-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.4.1-2),
@@ -45,7 +58,18 @@
  These are the development files for at-spi2, needed for compilation of
  programs which use it.
 
+Package: libatspi2.0-0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, libatspi2.0-0 (= ${binary:Version})
+Description: Assistive Technology Service Provider Interface - debugging symbols
+ This package contains the debugging symbols for the shared library for
+ applications that wish to use the at-spi interface.
+
 Package: gir1.2-atspi-2.0
+Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -57,7 +81,8 @@
  generate dynamic bindings
 
 Package: at-spi2-doc
+Section: doc
 Architecture: all
-Recommends: devhelp
+Recommends: ${misc:Depends}, devhelp
 Description: Assistive Technology Service Provider Interface (Documentation)
  This package contains documentation for the at-spi2 interface.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_HARDENING=1
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-introspection
+	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --enable-introspection --enable-gtk-doc
 
 override_dh_auto_install:
 	dh_auto_install
@@ -16,3 +20,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -a
 	dh_girepository -pgir1.2-atspi-2.0
+
+override_dh_strip:
+	dh_strip -plibatspi2.0-0 --dbg-package=libatspi2.0-0-dbg
+	dh_strip -pat-spi2-core --dbg-package=at-spi2-core-dbg

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-core/(\d.[02468])/at-spi2-core-([\d.]*).tar.bz2

## at-spi2-core 2.3.91

=== debian/changelog ===
at-spi2-core (2.3.91-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
  * control: Fix gir1.2-atspi-2.0 section into 'introspection'.
  * watch: Include odd versions again, use .xz suffix.

  [ Mario Lang ]
  * Make sure libatspi2.0-0 depends on at-spi2-core.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 02:07:35 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-core (= ${binary:Version})
 Description: Assistive Technology Service Provider Interface - shared library
  This package contains the shared library for applications that wish to use
  the at-spi interface.
@@ -69,7 +69,7 @@
  applications that wish to use the at-spi interface.
 
 Package: gir1.2-atspi-2.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

## at-spi2-core 2.3.92

=== debian/changelog ===
at-spi2-core (2.3.92-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.

  [ Mario Lang ]
  * libatspi2.0-0: Downgrade Depends on at-spi2-core to Recommends
    (Closes: Bug#663112).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Mar 2012 01:08:27 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-core (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: at-spi2-core (= ${binary:Version})
 Description: Assistive Technology Service Provider Interface - shared library
  This package contains the shared library for applications that wish to use
  the at-spi interface.

## at-spi2-core 2.4.0

=== debian/changelog ===
at-spi2-core (2.4.0-1) unstable; urgency=low

  [ Mario Lang ]
  * Removing myself from Uploaders.
 
  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * New upstream release.
  * Bump to debhelper v9.
  * Make -dev package depend on gir1.2-atspi-2.0, per g-i policy.
  * As gir packages are not M-A ready yet, drop M-A: same flag from -dev
    package, as it depends on a non-M-A package.
  * Promote ${misc:Depends} in -doc to Depends.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2012 15:18:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
-Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: http://live.gnome.org/Accessibility/GNOME3
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                libdbus-glib-1-dev, dbus,
                libglib2.0-dev,
                libxtst-dev,
@@ -47,8 +47,8 @@
 Package: libatspi2.0-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends},
+         gir1.2-atspi-2.0 (= ${binary:Version}),
          libatspi2.0-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.4.1-2),
          libdbus-1-dev, libdbus-glib-1-dev, dbus,
@@ -84,6 +84,7 @@
 Package: at-spi2-doc
 Section: doc
 Architecture: all
-Recommends: ${misc:Depends}, devhelp
+Depends: ${misc:Depends}
+Recommends: devhelp
 Description: Assistive Technology Service Provider Interface (Documentation)
  This package contains documentation for the at-spi2 interface.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --enable-introspection --enable-gtk-doc
+	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+			--libexecdir=\$${libdir}/at-spi2-core \
+			--enable-introspection \
+			--enable-gtk-doc
 
 override_dh_auto_install:
 	dh_auto_install

## at-spi2-core 2.4.2

=== debian/changelog ===
at-spi2-core (2.4.2-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #999404)
    - Fix typo in atspi_document_get_attribute_value
    - Fix for bug 675004 - object:state-changed:defunct events are emitted as
      object:state-change:defunct
    - Fix a potential crash when unsuccessfully querying for a hyperlink.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 15 May 2012 10:52:23 +1000

at-spi2-core (2.4.1-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #988652)
    - Fix a GError set when a method call returns a reply of the wrong type.
    - Do not time out method calls for the first 15 seconds that an
      application is on the bus (work-around for Orca setting an application's
      script as "default" after a timeout on a slow-starting application).
  * debian/rules, debian/at-spi2-core.install: Install at-spi2-core binaries
    in usr/lib, as the at-spi2-package is multi-arch foreign, and there
    should only be one instance of these binaries per installed system
    anyway. (LP: #985640)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 26 Apr 2012 14:01:23 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git

## at-spi2-core 2.5.3

=== debian/changelog ===
at-spi2-core (2.5.3-2) unstable; urgency=low

  [ Mario Lang ]
  * Add Breaks on gdm3 < 3.4 (Closes: Bug#663027).

  [ Samuel Thibault ]
  * patches/pl: Cherry-pick from upstream: Update pl translation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 17:51:06 +0200

at-spi2-core (2.5.3-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix Homepage URL, thanks DUCK!

  [ Luke Yelavich ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jun 2012 23:35:54 -0300

at-spi2-core (2.5.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * debian/90qt-a11y: Add missing left brace. The script still works, but it
    helps to be complete and portable.

  [ Samuel Thibault ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Jun 2012 01:02:04 +0200

at-spi2-core (2.5.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.

  [ Luke Ylavich ]
  * Move the at-spi2-core binaries to usr/lib.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:31:10 +0200

at-spi2-core (2.4.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Get rid of source/options, to get standard compression of the debian.tar.

  [ Samuel Thibault ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Apr 2012 22:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
-Homepage: http://live.gnome.org/Accessibility/GNOME3
+Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
                libdbus-glib-1-dev, dbus,
                libglib2.0-dev,
@@ -22,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: gdm3 (<< 3.4)
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-			--libexecdir=\$${libdir}/at-spi2-core \
+			--libexecdir=\$${prefix}/lib/at-spi2-core \
 			--enable-introspection \
 			--enable-gtk-doc

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-core/(\d.[0-9])/at-spi2-core-([\d.]*).tar.xz

## at-spi2-core 2.6.0

=== debian/changelog ===
at-spi2-core (2.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix some annotations.
    - Exit, rather than crash, when unable to open an X display (BGO#660407).
    - Fix various memory leaks (BGO#684033).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Sep 2012 09:44:38 +1000

at-spi2-core (2.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix some annotations.
    - Exit, rather than crash, when unable to open an X display (BGO#660407).
    - Fix various memory leaks (BGO#684033).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 14:30:32 +1000

at-spi2-core (2.5.91-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release (LP: #1046583)
    - Fix build with -fno-common.
    - Add glib-2.0 to requires in at-spi2.pc (BGO#682595)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 06 Sep 2012 09:14:23 +1000

at-spi2-core (2.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add atspi_action_get_localized_name (BGO#680598).
    - Allow building from out of source directory (BGO#680281)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Aug 2012 12:06:10 +1000

at-spi2-core (2.5.4-0ubuntu1) quantal; urgency=low

  [ Mario Lang ]
  * Add Breaks on gdm3 < 3.4 (Closes: Bug#663027).

  [ Luke Yelavich ]
  * New upstream release
    - Fix a missing return value.
    - Fix a crash when unable to remove a match rule.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Jul 2012 09:46:35 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git

## at-spi2-core 2.6.1

=== debian/changelog ===
at-spi2-core (2.6.1-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release: (LP: #1067554)
    - Update cache in response to role change notifications (BGO#685469).

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Oct 2012 11:19:19 +1100

## at-spi2-core 2.6.3

=== debian/changelog ===
at-spi2-core (2.6.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream bugfix release (LP: #1099275)
    - Fix a crash when receiving a malformed event.
    - Fix atspi_accessible_get_index_in_parent when the parent is not cached
    - Fix crash in atspi_device_listener_new_simple.
    - registry: Fix a crash when removing hung processes.
    - registry: Fix deregistering of applications.
    - registry: Fix crash handling DeregisterKeystrokeListener
    - Fix some compiler warnings.
    - Don't output a warning when a p2p connection isn't available.
    - Don't distribute dbind-config.h (BGO#688083).

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 14 Jan 2013 15:32:21 +1100

## at-spi2-core 2.7.4.1

=== debian/changelog ===
at-spi2-core (2.7.4.1-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Jan 2013 11:13:40 +0100

at-spi2-core (2.7.3-1) experimental; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:28:28 +0100

at-spi2-core (2.7.2-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 04:02:28 +0100

at-spi2-core (2.7.1-1) experimental; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Oct 2012 22:09:26 +0200

at-spi2-core (2.6.0-1) experimental; urgency=low

  * at-spi2-core.docs: Add NEWS.
  * copyright: update.
  * patches/pl: Remove upstream patch.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 18:17:21 +0200

## at-spi2-core 2.7.5

=== debian/changelog ===
at-spi2-core (2.7.5-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Feb 2013 23:02:27 +0100

## at-spi2-core 2.8.0

=== debian/changelog ===
at-spi2-core (2.8.0-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2013 22:45:54 +0100

at-spi2-core (2.7.91-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 17:55:58 +0100

## at-spi2-core 2.10.0

=== debian/changelog ===
at-spi2-core (2.10.0-0ubuntu2) saucy; urgency=low

  * Revert an upstream commit that simplified some message processing code,
    as it is causing more lag over time with accessibility activity,
    which is most evident with keyboard input.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 30 Sep 2013 15:39:47 +1000

at-spi2-core (2.10.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 24 Sep 2013 16:02:48 +1000

at-spi2-core (2.9.92-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Sep 2013 13:02:14 +1000

at-spi2-core (2.9.91-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/patches/revert_x11_code_separation.patch: Dropped, fixed properly
    upstrea

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 09 Sep 2013 12:58:53 +1000

at-spi2-core (2.9.90-0ubuntu2) saucy; urgency=low

  * debian/patches/revert_x11_code_separation.patch: Revert upstream git
    commit 7ec6f416a192b7ff86d4b90fe7f405de41165342, which was the
    beginning of separating out the X specific code. It seems this is
    breaking accessibility when used accross user boundaries, i.e sudo.
    (LP: #1217757)
  * Use dh-autoreconf for the above.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 30 Aug 2013 06:52:15 +1000

at-spi2-core (2.9.90-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump shlibs

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 27 Aug 2013 11:16:30 +1000

at-spi2-core (2.9.5-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 15 Aug 2013 09:14:11 +1000

at-spi2-core (2.9.5-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Aug 2013 23:17:56 +0200

at-spi2-core (2.9.4-1ubuntu3) saucy; urgency=low

  * Remove second equals sign from pre-start script in the upstart job.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Jul 2013 16:02:49 +1000

at-spi2-core (2.9.4-1ubuntu2) saucy; urgency=low

  * Add an upstart user session override desktop file to ignore the
    usual .desktop file in /etc/xdg/autostart.
  * Respect the org.gnome.desktop.interface toolkit-accessibility gsettings
    key in the upstart user session job.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Jul 2013 10:23:41 +1000

at-spi2-core (2.9.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Jul 2013 08:31:04 +1000

at-spi2-core (2.9.4-1) unstable; urgency=low

  [ Luke Yelavich ]
  * Bump libatspi2.0-0 shlibs as required. We should move to using symbols,
    but this will solve the immediate problem for now. (Closes: #714314)
  * New upstream release

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:14:51 +0200

at-spi2-core (2.9.3-1ubuntu1) saucy; urgency=low

  * Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 24 Jun 2013 14:11:59 +1000

at-spi2-core (2.9.3-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 00:16:03 +0200

at-spi2-core (2.9.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 May 2013 23:23:23 +0200

at-spi2-core (2.8.0-2) unstable; urgency=low

  * Upload to unstable

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 00:58:34 +0200

## at-spi2-core 2.10.1

=== debian/changelog ===
at-spi2-core (2.10.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Nov 2013 01:15:15 +0100

at-spi2-core (2.10.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * Bump shlibs

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 23:39:36 +0200

at-spi2-core (2.9.5-2) unstable; urgency=low

  * Add libatspi0-udeb package, needed by libatk-bridge-2.0-0-udeb.
    (Closes: #723951)
  * Add at-spi2-core-udeb, for future d-i accessibility.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Sep 2013 22:49:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
@@ -16,7 +15,7 @@
                gobject-introspection,
                gir1.2-glib-2.0,
                hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: at-spi2-core
 Architecture: any
@@ -25,6 +24,15 @@
 Breaks: gdm3 (<< 3.4)
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.
+
+Package: at-spi2-core-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Assistive Technology Service Provider Interface (dbus core for d-i)
+ This package contains the core components of GNOME Accessibility for the debian
+ installer.
 
 Package: at-spi2-core-dbg
 Architecture: any
@@ -45,6 +53,14 @@
 Description: Assistive Technology Service Provider Interface - shared library
  This package contains the shared library for applications that wish to use
  the at-spi interface.
+
+Package: libatspi0-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Assistive Technology Service Provider Interface - module for d-i
+ This package contains the AT-SPI shared library, for the debian installer.
 
 Package: libatspi2.0-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,11 @@
 override_dh_auto_test:
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a
+	dh_makeshlibs -a --add-udeb=libatspi0-udeb
 	dh_girepository -pgir1.2-atspi-2.0
 
 override_dh_strip:
 	dh_strip -plibatspi2.0-0 --dbg-package=libatspi2.0-0-dbg
+	dh_strip -plibatspi0-udeb
 	dh_strip -pat-spi2-core --dbg-package=at-spi2-core-dbg
+	dh_strip -pat-spi2-core-udeb
